更新 androidDeviceOwnerWiFiConfiguration
命名空间:microsoft.graph
重要:/beta 版本下的 Microsoft Graph API 可能会发生更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
更新 androidDeviceOwnerWiFiConfiguration 对象的 属性。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.ReadWrite.All |
HTTP 请求
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}/groupAssignments/{deviceConfigurationGroupAssignmentId}/deviceConfiguration
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations/{deviceConfigurationId}
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,为 androidDeviceOwnerWiFiConfiguration 对象提供 JSON 表示形式。
下表显示了创建 androidDeviceOwnerWiFiConfiguration 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 实体的键。 继承自 deviceConfiguration |
| lastModifiedDateTime | DateTimeOffset | 上次修改对象的日期/时间。 继承自 deviceConfiguration |
| roleScopeTagIds | 字符串集合 | 此实体实例的范围标记列表。 继承自 deviceConfiguration |
| supportsScopeTags | Boolean | 指示基础设备配置是否支持分配范围标记。 如果此值为 false,并且作用域内用户不可见,则不允许分配到 ScopeTags 属性。 对于在 Silverlight 中创建的旧策略,可以通过在 Azure 门户中删除和重新创建策略来解决此问题。 此属性是只读的。 继承自 deviceConfiguration |
| deviceManagementApplicabilityRuleOsEdition | deviceManagementApplicabilityRuleOsEdition | 此策略的 OS 版本适用性。 继承自 deviceConfiguration |
| deviceManagementApplicabilityRuleOsVersion | deviceManagementApplicabilityRuleOsVersion | 此策略的 OS 版本适用性规则。 继承自 deviceConfiguration |
| deviceManagementApplicabilityRuleDeviceMode | deviceManagementApplicabilityRuleDeviceMode | 此策略的设备模式适用性规则。 继承自 deviceConfiguration |
| createdDateTime | DateTimeOffset | 创建对象的日期/时间。 继承自 deviceConfiguration |
| description | String | 管理员提供的设备配置的说明。 继承自 deviceConfiguration |
| displayName | String | 管理员提供的设备配置的名称。 继承自 deviceConfiguration |
| version | Int32 | 设备配置的版本。 继承自 deviceConfiguration |
| networkName | String | 网络名 |
| Ssid | String | 这是向所有设备广播的Wi-Fi网络的名称。 |
| connectAutomatically | Boolean | 此网络在范围内时自动连接。 将此设置为 true 将跳过用户提示,并自动将设备连接到Wi-Fi网络。 |
| connectWhenNetworkNameIsHidden | 布尔 | 设置为 true 时,此配置文件会强制设备连接到未将其 SSID 广播到所有设备的网络。 |
| wiFiSecurityType | androidDeviceOwnerWiFiSecurityType | 指示Wi-Fi终结点是否使用基于 EAP 的安全类型。 可能的值是:open、wep、wpaPersonal、wpaEnterprise。 |
| preSharedKey | String | 这是 WPA 个人Wi-Fi网络的预共享密钥。 |
| preSharedKeyIsSet | 布尔 | 这是 WPA 个人Wi-Fi网络的预共享密钥。 |
| proxySettings | wiFiProxySetting | 指定Wi-Fi配置的代理设置。 可能的值包括无、手动和自动。 可取值为:none、manual、automatic。 |
| proxyManualAddress | String | 指定代理服务器 IP 地址。 Android文档未指定 IPv4 或 IPv6。 例如:192.168.1.1。 |
| proxyManualPort | Int32 | 指定代理服务器端口。 |
| proxyAutomaticConfigurationUrl | String | 指定代理服务器配置脚本 URL。 |
| proxyExclusionList | String | 要在连接上使用代理排除的主机列表。 这些主机可以使用通配符,如 *.example.com。 |
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和更新后的 androidDeviceOwnerWiFiConfiguration 对象。
示例
请求
下面是一个请求示例。
PATCH https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations/{deviceConfigurationId}
Content-type: application/json
Content-length: 1540
{
"@odata.type": "#microsoft.graph.androidDeviceOwnerWiFiConfiguration",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"networkName": "Network Name value",
"ssid": "Ssid value",
"connectAutomatically": true,
"connectWhenNetworkNameIsHidden": true,
"wiFiSecurityType": "wep",
"preSharedKey": "Pre Shared Key value",
"preSharedKeyIsSet": true,
"proxySettings": "manual",
"proxyManualAddress": "Proxy Manual Address value",
"proxyManualPort": 15,
"proxyAutomaticConfigurationUrl": "https://example.com/proxyAutomaticConfigurationUrl/",
"proxyExclusionList": "Proxy Exclusion List value"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1712
{
"@odata.type": "#microsoft.graph.androidDeviceOwnerWiFiConfiguration",
"id": "8d25beba-beba-8d25-babe-258dbabe258d",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"supportsScopeTags": true,
"deviceManagementApplicabilityRuleOsEdition": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
"osEditionTypes": [
"windows10EnterpriseN"
],
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleOsVersion": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
"minOSVersion": "Min OSVersion value",
"maxOSVersion": "Max OSVersion value",
"name": "Name value",
"ruleType": "exclude"
},
"deviceManagementApplicabilityRuleDeviceMode": {
"@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
"deviceMode": "sModeConfiguration",
"name": "Name value",
"ruleType": "exclude"
},
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"networkName": "Network Name value",
"ssid": "Ssid value",
"connectAutomatically": true,
"connectWhenNetworkNameIsHidden": true,
"wiFiSecurityType": "wep",
"preSharedKey": "Pre Shared Key value",
"preSharedKeyIsSet": true,
"proxySettings": "manual",
"proxyManualAddress": "Proxy Manual Address value",
"proxyManualPort": 15,
"proxyAutomaticConfigurationUrl": "https://example.com/proxyAutomaticConfigurationUrl/",
"proxyExclusionList": "Proxy Exclusion List value"
}
反馈
提交和查看相关反馈